Bug 827569

Summary: grubby updates the wrong config file on rEFIt (BIOS emulation) booted mac
Product: [Fedora] Fedora Reporter: Matt Hirsch <matthew.hirsch>
Component: grubbyAssignee: Peter Jones <pjones>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: bcl, pjones
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 16:17:11 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Matt Hirsch 2012-06-01 15:05:56 EDT
Description of problem:

I am running Fedora 16 on a mac which is booted from rEFIt (BIOS emulator). I use grub2, and the /boot/grub2/grub.cfg config file. However, grubby updates /boot/grub2-efi/grub.cfg when it runs.

Version-Release number of selected component (if applicable):
grubby-8.8-2.fc16.x86_64

How reproducible:
Always, as long as /boot/grub2-efi exists.

Steps to Reproduce:
1. Run grubby to update grub config. For example, this was generated by preupgrade, when upgrading to Fedora 17:

/sbin/grubby --title="Upgrade to Fedora 17 (Beefy Miracle)" --remove-kernel="/boot/upgrade/vmlinuz" --add-kernel="/boot/upgrade/vmlinuz" --initrd="/boot/upgrade/initrd.img" --args="preupgrade repo=hd::/var/cache/yum/preupgrade  ks=hd:UUID=35d59fb9-2c48-4e33-a8d3-c26776daa750:/upgrade/ks.cfg stage2=http://mirror.cc.vt.edu/pub/fedora/linux/releases/17/Fedora/x86_64/os/LiveOS/squashfs.img"
  
Actual results:
grubby modifies /boot/grub2-efi/grub.cfg

Expected results:
grubby modifies /boot/grub2/grub.cfg

Additional info:
Ways in which you might detect this:
*Follow the symlink from /etc: e.g. on my system
 /etc/grub2.cfg -> ../boot/grub2/grub.cfg
*Detect which bootloader is installed
*Detect whether the system was booted using efi or the BIOS
e.g. in dmesg, 
DMI: Apple Inc. MacPro3,1/Mac-F42C88C8, BIOS     MP31.88Z.006C.B05.0802291410 02/29/08

I'm not entirely sure about the last one, since I've never booted the system in EFI mode. In previous fedoras it was very difficult to get a fully functioning system to boot using EFI, so many people are probably using rEFIt BIOS emulation.

Also note, that this does not occur when /boot/grub2-efi does not exist. So another workaround is to just uninstall the grub2-efi package.
Comment 1 Fedora End Of Life 2013-01-16 12:00:04 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 16:17:15 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.